Package twisted :: Package protocols :: Module smtp :: Class Address

[show private | hide private]
[frames | no frames]

## Class Address

Parse and hold an RFC 2821 address.

Source routes are stipped and ignored, UUCP-style bang-paths and %-style routing are not parsed.

Method Summary
| `__init__(self, addr)`
| `__repr__(self)`
| `__str__(self)`
| ``dequote`(self, addr)` Remove RFC-2821 quotes from address.

Class Variable Summary
`SRE_Pattern` | `atomre`
`SRE_Pattern` | `dequotebs`
`SRE_Pattern` | `tstring`

Method Details

### dequote(self, addr)

Remove RFC-2821 quotes from address.

Class Variable Details

### atomre

  Type:
    `SRE_Pattern`
  Value:

        [-A-Za-z0-9!#\$%&'\*\+/=\?\^_`\{\|\}~]

### dequotebs

  Type:
    `SRE_Pattern`
  Value:

        \\(.)

### tstring

  Type:
    `SRE_Pattern`
  Value:

        ((?:"[^"]*"|\\.|[-A-Za-z0-9!#\$%&'\*\+/=\?\^_`\{\|\}~])+|.)

Generated by Epydoc 1.1 on Sat Feb 15 21:18:02 2003 | http://epydoc.sf.net